Package pygccxml :: Package declarations :: Module mdecl_wrapper :: Class call_redirector_t

# type call_redirector_t

source code

    object --+
             |
            call_redirector_t

Internal class used to call some function of objects

Instance Methods

__init__(self, name, decls) creates call_redirector_t instance. | source code

__call__(self, *arguments, **keywords) calls method `self.name` on every object within `self.decls` list | source code

Method Details

### __init__(self, name, decls)
(Constructor)

source code

creates call_redirector_t instance.

Parameters:
  - `name` - name of method, to be called on every object in `decls` list
  - `decls` - list of objects
Overrides: object.__init__